Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161342 - Make filechooser work with bookmarks written by newer GTK+
Summary: Make filechooser work with bookmarks written by newer GTK+
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gtk2
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard: RHEL4U3NAK
Depends On:
Blocks: 181409
TreeView+ depends on / blocked
 
Reported: 2005-06-22 15:30 UTC by Matthias Clasen
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2006-0335
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-10 21:13:06 UTC


Attachments (Terms of Use)
the patch (deleted)
2005-06-22 15:30 UTC, Matthias Clasen
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0335 normal SHIPPED_LIVE gtk2 bug fix update 2006-08-09 04:00:00 UTC

Description Matthias Clasen 2005-06-22 15:30:40 UTC
GTK+ 2.8 slightly changes the format in which the file chooser bookmarks are
written. When RHEL5 comes around, we might see people use their home directories
with both 2.4.x (from RHEL4) and GTK+ >= 2.8 (from RHEL5), and in order to 
prevent problems with the file chooser bookmarks in this scenario, a small
patch should be applied to GTK+ to make it handle the new format.

A similar patch will be necessary for the gnome-vfs file chooser backend
in libgnomeui.

Comment 1 Matthias Clasen 2005-06-22 15:30:40 UTC
Created attachment 115815 [details]
the patch

Comment 10 Matthias Clasen 2006-04-13 12:29:25 UTC
Patch is included in gtk2-2.4.13-19

Comment 15 Red Hat Bugzilla 2006-08-10 21:13:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0335.html



Note You need to log in before you can comment on or make changes to this bug.